Index: extensions/Autosize/css/autosize.css
===================================================================
--- extensions/Autosize/css/autosize.css	(revision 8735)
+++ extensions/Autosize/css/autosize.css	(revision 8792)
@@ -37,4 +37,4 @@
 }
 #imageContainer{
-height:2000px;
+ height:1000px; 
 }
Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 8735)
+++ extensions/Autosize/js/Affiche_script.js	(revision 8792)
@@ -1,3 +1,5 @@
 
+
+Parent = "#theImage";
 
 function Toggle_bp() {
@@ -15,49 +17,49 @@
     jQuery('#bp_img_cla').attr('title', src_info);
     jQuery('#bp_cla').attr('Stitle', src_info);
-    jQuery('#bp_cla').attr('Stip', " ");       
-     jQuery().newResize();
-   
+    jQuery('#bp_cla').attr('Stip', " ");
+    jQuery().newResize();
+
 }
-                   
+
 function Wait_pamoorama() {
-     if (jQuery("#pamoorama").length) {
+    if (jQuery("#pamoorama").length) {
         mypanorama = window.myPamoorama;
-        if (!mypanorama){ 
-                         setTimeout("Wait_pamoorama()", 500);
-                         return false ;
-                        }
-        if ( mypanorama.skipInit==false) { 
-                    setTimeout("Wait_pamoorama()", 500);
-                    return false ;
-               }
+        if (!mypanorama) {
+            setTimeout("Wait_pamoorama()", 500);
+            return false;
+        }
+        if (mypanorama.skipInit == false) {
+            setTimeout("Wait_pamoorama()", 500);
+            return false;
+        }
         info_pamoorama = jQuery("#pamoorama").infos();
-        new_width = info_pamoorama.width -( info_pamoorama.borderwidth.left + info_pamoorama.borderwidth.right);
-         if (  Math.abs(new_width - myPamoorama.options.width)>10  ) {
-                 setTimeout("Wait_pamoorama()", 500);
-                 return false ;
-                 }
-
-             nopano = true;
-             old_window = { width: 0, height: 0 };
-             jQuery('#pamoorama').trigger('ON');
-            
-      }
-  }
+        new_width = info_pamoorama.width - (info_pamoorama.borderwidth.left + info_pamoorama.borderwidth.right);
+        if (Math.abs(new_width - myPamoorama.options.width) > 10) {
+            setTimeout("Wait_pamoorama()", 500);
+            return false;
+        }
+
+        nopano = true;
+        old_window = { width: 0, height: 0 };
+        jQuery('#pamoorama').trigger('ON');
+
+    }
+}
 nu_img = 0;
 
 //==========================================================================
 function Wait_Affichage() {
-   
-            fade_in = parseInt(fade_in);
-    if(!jQuery().newResize()) {
-                 setTimeout("Wait_Affichage()", 500);
-                 return
-             }
-  
-             if (fade_in == 0) {               
-                     jQuery(Parent).css({opacity:"1" });
-         } else {
-
-                jQuery(Parent).animate(
+
+    fade_in = parseInt(fade_in);
+    if (!jQuery().newResize()) {
+        setTimeout("Wait_Affichage()", 500);
+        return
+    }
+
+    if (fade_in == 0) {
+        jQuery(Parent).css({ opacity: "1" });
+    } else {
+
+        jQuery(Parent).animate(
                          { opacity: "1" }, fade_in, "swing"
                        , function (i) {
@@ -71,25 +73,80 @@
                        }
               );
-             }
-
-} 
+    }
+
+}
+
+//=====================================================================
+
+List_autosize = new Array();
+function Autosize_resize(Obj) {
+    if (typeof cl_visible != "undefined") return;
+    var winwidth = jQuery(window).width();
+    var winheight = jQuery(window).height();
+    h1 = jQuery(Obj).infos();
+        h1 = (winheight - h1.top - 5);
+        rap = jQuery(Obj).find("img").height() / jQuery(Obj).find("img").width();
+        Obj.height(h1);   w1=(h1 / rap);
+        Obj.css({ height: h1 + "px",width:w1+"px", margin: "auto" });
+        img = jQuery(Obj).find("img") ;
+           img.height(h1);        
+           img.width(w1);              
+
+
+   
+}
+jQuery.extend(jQuery.expr[':'], {
+    // Nom du sélecteur personnalisé
+    Autosize: function (a) {
+        n1 = a.className;
+        // personal_block
+        if (n1 == "autosize") {
+            List_autosize.push(a);
+            Autosize_resize(jQuery(a));
+            jQuery(a).css({ opacity: 1 });
+
+        }
+        //  Css = jQuery(a).getStyles(a);
+
+        return false;
+
+    }
+});
  
+
  
-//=========================================================
-
+//==============================================================
 jQuery(document).ready(
      function (jQuery) {
+         jQuery(':Autosize');
+
          jQuery(window).unload(function () {
-
-
-
          });
+
+         jQuery(window).resize(
+               function (event, ui) {
+                   if (List_autosize.length == 0) return;
+                   for (i = 0; i < List_autosize.length; i++) {
+                       Autosize_resize(jQuery(List_autosize[i]));
+                   }
+
+               });
+
          jQuery(window).load(function () {
-
-             //  jQuery("#theImage").css({ opacity: "0" });
-
-             jQuery("#the_page").css({ top: "0px" });
-
-             //======= cl_conflit ======
+             if (typeof img_width == "undefined") {
+
+                 if (List_autosize.length == 0) return;
+                 for (i = 0; i < List_autosize.length; i++) {
+                     Autosize_resize(jQuery(List_autosize[i])); 
+                 }
+
+                 return;
+             }
+             //============================================================
+             img_init = { height: img_height, width: img_width };  // taille initiale
+             img_defaut = { height: scaled_height, width: scaled_width };
+             img_reelle = { height: img_height, width: img_width };
+             img_finale = { height: 0, width: 0 };
+
              img_top = "0";
              rapport = -1;
@@ -97,51 +154,22 @@
              pos = 0;
              //=============================================================
-             function cl_Timer() {
-                 //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
-                 if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
-                     alert(jQuery.browser.version);
-                 panoramaContainer = jQuery(".panorama-container");
-                 n = document.scripts[6]; //12--14affiche_script ;
-                 t = n.src;
-                 currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
-                 if (currentPosition == NaN) return;
-                 if (currentPosition > 1000)
-                     jQuery(panoramaContainer).css('margin-left', "0px")
-                 setTimeout("cl_Timer()", 500);
-             }
-
-
-
              Type_Img = "";
              TheImg = null;
              nopano = false;
 
-             /*
-             *
-             */
-
-             //============================================================
-
-             /* jQuery */
-             img_init = { height: img_height, width: img_width };  // taille initiale
-             img_defaut = { height: scaled_height, width: scaled_width };
-             img_reelle = { height: img_height, width: img_width };
-             img_finale = { height: 0, width: 0 };
              Zone_Affichage = { height: 0, width: 0 };
              //============================================================        
-
+             jQuery("#the_page").css({ top: "0px" });
              Info_the_page = jQuery("#the_page").infos();
 
              Parent = "#theImage";
+
              Zone_Affichage = jQuery(Parent).infos();
              //   
              var old_window = { width: 0, height: 0 };
-
-             if (Info_description(Parent)) {
-                 Bandeau_bas = Info_description(Parent);
-                 Bandeau = Bandeau_bas.top;
-             } else {
-
-             }
+             Bandeau_bas = Info_Description_f(Parent);
+             if (typeof Bandeau_bas != "undefined") Bandeau = Bandeau_bas.top;
+             else Bandeau = 0;
+             if (typeof Bandeau_bas == "undefined") { }
              old_window = { width: 0, height: 0 };
              jQuery("#theImage").trigger('ON');
@@ -154,6 +182,4 @@
              * window .resize
              */
-
-
              jQuery(window).resize(
                function (event, ui) {
@@ -168,4 +194,5 @@
 
          }); // window.onload
+
          /* Extension
          * affiche_debug
@@ -180,5 +207,5 @@
              //==========================================================
              Info_description: function (e) {
-                 return Info_description(e);
+                 return Info_Description_f(e);
 
              },
@@ -193,5 +220,4 @@
              */
              Get_Img_Maxi: function (myobj) {
-
                  return Get_Img_Maxi(myobj);
              },
@@ -199,6 +225,4 @@
              affiche_debug: function (aff_infos) {
                  affiche_debug(aff_infos);
-
-
              },
              //====================================================
@@ -233,5 +257,4 @@
 
 
-                 Parent = "#theImage";
                  jQuery(Parent).width(winwidth);
                  jQuery(Parent).height(winheight);
@@ -599,5 +622,5 @@
                  if (theme.match(RegExp("stripped", "gi"))) {
                      img_finale.width -= (llgboframe.top * 2);
-                     img_finale.height = img_finale.width / rapport;
+                     img_finale.height = (img_finale.width / rapport);
                  }
                  zoom = echelle;
@@ -607,4 +630,7 @@
                      if (!TheImg.src) {
                          TheImg = jQuery(TheImg).find("img").get(0)
+                         if (!TheImg.src) {
+                             TheImg = jQuery(Parent).find("div").get(0)
+                         }
                      }
                      if (TheImg.src) {
@@ -752,5 +778,5 @@
                      jQuery(".panorama-viewport").css("left", "2px");
                      jQuery(".panorama-viewport").css("width", "auto");
-                     //   setTimeout("cl_Timer()", 500);
+
 
                  } else if (Type_Img == "pamoorama") {
@@ -825,6 +851,4 @@
                  }
 
-                 jQuery("#imageContainer").css({ height: "auto" });
-
                  jQuery("#navThumbPrev").css({ overflow: "hidden" });
                  jQuery("#navThumbNext").css({ overflow: "hidden" });
@@ -844,5 +868,5 @@
                          if (jQuery("#navThumbPrev").length > 0) {
                              jQuery("#navThumbPrev").css({ height: info_img.height + "px",
-                                 top: info_img.top + 20 + "px", overflow: "hidden"
+                                 overflow: "hidden"
                              });
 
@@ -850,5 +874,5 @@
                          if (jQuery("#navThumbNext").length > 0) {
                              jQuery("#navThumbNext").css({ height: info_img.height + "px",
-                                 top: info_img.top + 20 + "px", overflow: "hidden"
+                                 overflow: "hidden"
                              });
 
@@ -941,5 +965,5 @@
 
      } // function
-);    
+);
 
 
@@ -947,469 +971,393 @@
 * recherche la plus grande image (hauteur ou largeur)
 */
-function     Get_Img_Maxi(myobj) {
-                     var w00 = 0;
-                     var myImg = null;
-                     jQuery(myobj).each(function (i) {
-                         w0 = img_reelle.width;
-                         h0 = img_reelle.height;
-                         if (h0 > w0) w0 = h0;
-                         if (w0 > w00) {
-                             if (!this.src.match(RegExp(".png", "g")))
-                                 if (!this.src.match(RegExp(thumbnail, "g"))) {
-                                     myImg = this;
-                                     w00 = w0;
-                                 }
-
-                         }
-                     });
-                     return myImg;
-                 }
-
-                 //============================================================
-                 /*
-                 *
-                 */
-
-                 function Info_entete(Parent) {
-                     if (typeof (marge_top) != "undefined") return result;
-                     info_imageToolBar = jQuery("#imageToolBar").infos();
-                     if (info_imageToolBar.position == "absolute") {
-                         jQuery("#imageToolBar").css("position", "relative");
-                         jQuery("#imageToolBar").css("top", 0 + "px");
-                     }
-                     optiontop = 0;
-                     
-                     info_imageInfoBar = jQuery("#imageInfoBar").infos();
-
-
-                    info_theImgContainer = jQuery("#"+ "theImgContainer").infos();
-                     info_theImage = jQuery(Parent).infos();
-                 info_thePicturePage =   jQuery("#thePicturePage").infos();
-                   if ( theme.match(RegExp("stripped", "gi")))  
-                     {
-                         optiontop = info_imageInfoBar.bottom + llgboframe.top;
-                    }
-
-                 if (info_theImage.position == "relative") {
-                     //--- passage relative ==> static ===/
-                     jQuery(Parent).css("position", "static");
-                     info_theImage = jQuery(Parent).infos();
-
-                 } else {
-
-                 }
-                     if (info_theImage.position == "absolute") {
-                         //--- passage absolute ==> static ===/
-                         jQuery(Parent).css("position", "static");
-                         info_theImage = jQuery(Parent).infos();
-
-                     }
-
-                     marge_top = Math.ceil(Info_the_page.top +
+function Get_Img_Maxi(myobj) {
+    var w00 = 0;
+    var myImg = null;
+    jQuery(myobj).each(function (i) {
+        w0 = img_reelle.width;
+        h0 = img_reelle.height;
+        if (h0 > w0) w0 = h0;
+        if (w0 > w00) {
+            if (!this.src.match(RegExp(".png", "g")))
+                if (!this.src.match(RegExp(thumbnail, "g"))) {
+                    myImg = this;
+                    w00 = w0;
+                }
+
+        }
+    });
+    return myImg;
+}
+
+//============================================================
+/*
+*
+*/
+
+function Info_entete(Parent) {
+    if (typeof (marge_top) != "undefined") return result;
+    info_imageToolBar = jQuery("#imageToolBar").infos();
+    if (info_imageToolBar.position == "absolute") {
+        jQuery("#imageToolBar").css("position", "relative");
+        jQuery("#imageToolBar").css("top", 0 + "px");
+    }
+    optiontop = 0;
+
+    info_imageInfoBar = jQuery("#imageInfoBar").infos();
+
+    jQuery("#" + "theImgContainer").css("marginTop", "0px");
+    info_theImage = jQuery(Parent).infos();
+    info_thePicturePage = jQuery("#thePicturePage").infos();
+    if (theme.match(RegExp("stripped", "gi"))) {
+        optiontop = info_imageInfoBar.bottom + llgboframe.top;
+    }
+
+    if (info_theImage.position == "relative") {
+        //--- passage relative ==> static ===/
+        jQuery(Parent).css("position", "static");
+        info_theImage = jQuery(Parent).infos();
+
+    } else {
+
+    }
+    if (info_theImage.position == "absolute") {
+        //--- passage absolute ==> static ===/
+        jQuery(Parent).css("position", "static");
+        info_theImage = jQuery(Parent).infos();
+
+    }
+
+    marge_top = Math.ceil(Info_the_page.top +
                                      Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top + 
+                                     info_theImage.borderwidth.top +
                                      info_thePicturePage.margin.top
                                      );
 
-                        img_top = Math.ceil(info_theImage.top +
+    img_top = Math.ceil(info_theImage.top +
                         info_theImage.borderwidth.top +
                         info_thePicturePage.margin.top + optiontop);
-                        result = info_imageToolBar;
-                        result.width = "20%";
-                        result.left = "40%";
-                        result.marge_top = marge_top;
-                        result.img_top = img_top;
-                        //=== Afficher le titre de l'image sur le cadre ===
-                        llgboh2 = jQuery("#gboh2").infos();
-                      result.img_top += llgboh2.height   ;
-                     return result;
-
-                 }
-
-                 /* Récupère les informations sur la description.
-                 *
-                 */
+    result = info_imageToolBar;
+    result.width = "20%";
+    result.left = "40%";
+    result.marge_top = marge_top;
+    result.img_top = img_top;
+    //=== Afficher le titre de l'image sur le cadre ===
+    llgboh2 = jQuery("#gboh2").infos();
+    result.img_top += llgboh2.height;
+    return result;
+
+}
+
+/* Récupère les informations sur la description.
+*
+*/
 
 //====================================================
-function Info_description(Parent) {
-
-                     //  jQuery(Parent + " p:not(:contains(' ')) ").remove();
-                     //=============================================================================
-                     info_description = { top: 0, bottom: 0, height: 0 };
-
-                     jQuery(Parent).css({ display: "block" });
-                     //====== détection du type d'images ======
-                     if (jQuery("#charlie").length > 0) {
-                         Type_Img = "charlie";
-                     } else if (jQuery("#pamoorama").length) {
-                         Type_Img = "pamoorama";
-                     } else if (jQuery(Parent +" embed").length > 0) {
-                         Type_Img = "embed";
-                     } else if (jQuery("#map").length) {
-                         Type_Img = "map";
-
-                     } else if (jQuery("#Panorama").length) {
-                         Type_Img = "panorama";
-                     } else if (jQuery(Parent).find("img").length > 0) {
-                         Type_Img = "img";
-                       } else if (jQuery(Parent+"Box").find("img").length > 0) {
-                         Type_Img = "img";
-                         Parent = Parent + "Box";
-                     } else if (jQuery("img").length > 0) {
-                         Type_Img = "img_autre";
-                         return;
-                     } else {
-                         return;
-                     }
-
-
-
-                     llgboframe = jQuery("#gbo").infos();
-                     marges_llgbo = 0;
-                     //=========================================================
-
-                     if (llgboframe.height > 0) {
-                         
-                         ll1 = jQuery("#gbo div:first").infos();
-                         ll2 = jQuery("#gbo div:last").infos(); ;
-                         ll1 = ll1.width;
-                         ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
-                         marges_llgbo = (ll1 - ll2)  ;
-                         
-                     }
-                      
-
-                     Bandeau_t = Info_entete(Parent)
-                     Bandeau = Bandeau_t.img_top;
-
-                     if (theme.match(RegExp("simple", "gi"))) {
-                         jQuery(Parent).css({ padding: "0px",
-                             marginLeft: "0px",
-                             marginRight: "auto",
-                             marginTop: "0px",
-                             marginBottom: "0px"
-
-                         });
-                     } else {
-
-
-
-                     }
-
-                     //   jQuery(Parent + " p").css({ padding: "0px", margin: "0px "    });
-                     if (theme.match(RegExp("luciano", "g"))) {
-                         TheImg = jQuery(Parent + " #theImg img");
-
-                         info_img = jQuery(TheImg).infos();
-
-
-                     } else if (Type_Img == "map") {
-
-                         info_map = jQuery("#mapPicture").infos();
-                         marge_left = info_map.width;
-
-                         jQuery("#map").css({ left: marge_left + "px", padding: "0px",
-                             marginLeft: "0px",
-                             marginRight: "4px",
-                             marginTop: "0px",
-                             marginBottom: "0px", position: "relative"
-                         });
-
-                         TheImg = jQuery("#map");
-                         info_img = jQuery(TheImg).infos();
-
-
-                     } else if (jQuery("#charlie").length > 0) {
-
-                         jQuery("#charlie").css({ padding: "0px"
-
-                         });
-                         TheImg = jQuery("#charlie")
-                         info_img = jQuery(TheImg).infos();
-
-
-
-                     } else if (jQuery(Parent +" embed").length > 0) {
- 
-                         TheImg = jQuery(Parent +" embed");
-                         info_img = jQuery(TheImg).infos();
-                      
-
-
-                     } else if (Type_Img == "pamoorama") {
-
-
-
-                         if (!nopano) {
-                             Wait_pamoorama();
-                             return
-                         }
-                         TheImg = jQuery("#pamoorama");
-                         info_img = jQuery(TheImg).infos();
-                         info_footer = jQuery("#pamoorama_footer").infos();
-                         info_img.height = parseInt(img_reelle.height) + parseInt(info_footer.height);
-
-                     } else {
-                         TheImg = jQuery(Parent + " img");
-                         TheImg = Get_Img_Maxi(TheImg);
-                         info_img = jQuery(TheImg).infos();
-                     }
-                     //=====================================================================================
-
-                     switch (info_img.position) {
-                         case "relative":
-                             break;
-                         case "static":
-                             break;
-                         case "absolute":
-                             break;
-                         case "":
-                             break;
-                         default:
-                             break;
-                     }
-                     info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
-                         top: info_img.padding.top + info_img.borderwidth.top + info_img.margin.top
-                     }
-                     marges_ = info_img.margin.bottom + info_img.borderwidth.bottom;
-
-                     info_img.bottom += marges_ * 2;
-                     info_img.bottom += marges_llgbo / 2;
-                     info_img.bottom += info_description.marge.top + info_description.marge.bottom;
-
-                     info_img.right += marges_ * 2;
-                     info_img.width += marges_ * 2;
-                     info_img.height = info_img.bottom - info_img.top;
-                     //======================================================================================
-                     info_description.top = info_img.bottom;
-                     info_description.bottom = info_description.top; //init 
-
-                     //===================== Recherche Description Bas ==================================
-
-                     info_para = info_description;
-
-
-                     jQuery(Parent + " p").each(function (i) {
-                         para = jQuery(this).infos();
-                         if (para.height > 0) {
-                             if (para.top >= info_description.top) {
-                                 para.height = para.bottom - info_description.top;
-                                 info_para = para;
-                                 info_para.top = info_description.top;
-
-                             }
-                         }
-                     });
-                     //===================== Recherche lmt Bas =====(bleu debug3)====================
-                     info_licencetag = jQuery(Parent + ".licencetag").infos();
-                     jQuery(".licencetag").css("position", "static");
-
-                     jQuery(".licencetag table").each(function (i) {
-                         info_licencetag = jQuery(this).infos();
-                         info_licencetag.bottom += info_licencetag.margin.top + info_licencetag.margin.bottom;
-
-                         if (jQuery.browser.msie == true)
-                             jQuery(this).css("padding", "0px");
-                         jQuery(this).css("border", "solid 5px transparent");
-
-                     });
-
-                     if (info_licencetag.top == 0 && info_licencetag.height > 10) {
-                         info_licencetag.top = info_para.bottom;
-                         info_licencetag.bottom = info_para.bottom + info_licencetag.height;
-                         info_licencetag.bottom += info_licencetag.margin.top + info_licencetag.margin.bottom;
-
-                     }
-
-                     //========================================================
-                     info_table = jQuery(Parent + " Table").infos();
-                     if (info_table.height > 0) {
-                         info_table.bottom += info_table.margin.top + info_table.margin.bottom;
-                         info_licencetag.bottom = Math.max(info_table.bottom, info_licencetag.bottom)
-                         info_licencetag.top = info_table.top;
-                         info_licencetag.bottom = info_table.bottom;
-                         info_licencetag.height = info_table.height;
-                     }
-                     info_description.top = info_img.bottom;
-
-                     info_description.height = Math.max(info_para.bottom, info_licencetag.bottom) - info_description.top;
-
-
-                     info_description.bottom = info_description.bottom + info_description.height;
-                     //=============================================================================
-                     if (theme.match(RegExp("gally", "gi"))) {
-                         if (!theme.match(RegExp("lapis", "gi"))) {
-                             info_description.bottom = info_description.bottom
-                         }
-                     }
-
-
-
-                     info_description.height = info_description.bottom - info_description.top;
-
-
-
-                     if (theme.match(RegExp("gally", "g"))) {
-                         if (!theme.match(RegExp("lapis", "gi"))) {
-                             info_copyright = jQuery("#copyright").infos();
-                             info_description.bottom += info_copyright.height;
-                         }
-                     }
-
-                     if (theme.match(RegExp("luciano", "g"))) {
-                         info_description.bottom -= 0;
-
-                        
-                             correction = -30;
-                             Info_slidshowToolBar = jQuery("#slidshowToolBar").infos();
-
-                             if (Info_slidshowToolBar.height > 0) {
-                                 correction -= (Info_slidshowToolBar.height);
-                                 info_description.top -= 90;
-
-                             }
-                              
-                       
-
-                         //=========================================================
-                     }
-
-
-                     if (jQuery.browser.msie != true)
-                         info_description.bottom += 4;
-
-                   
-
-                     info_description.height = info_description.bottom - info_description.top;
-                     if (check_desc_v != 'checked="checked"') {
-                         info_description.height = 0;
-                     }
-                     Debug_pos();
-                     return info_description;
-                 }
-
-                 //====================================================
-     function Debug_info(index,infos,nom) {
-     if (DEBUG != "true") return ;
-     if(infos.height>0){
-
-     message = browser.browser + " -- > Info : "+ nom +" " + infos.id +"\n"+
-                 "Info nodeName: " + infos.nodeName +"\n"+
-                 "Info width: " + infos.width +"\n"+
-                 "Info height: " + infos.height +"\n"+
-                 "Info top: " + infos.top +"\n"+
-                 "Info left: " + infos.left +"\n"+
-                 "Info position: " + infos.position +"\n";
-                
-           myDebug   = { id: "Debug" + index, texte: message,
-                     css: {
-                     color:"black",
-                        opacity: "0.5",                      
-                        position: "absolute",
-                        height: infos.height||100 +"px",
-                        width: infos.width||300 +"px",
-                        left: infos.left||0 +"px",
-                        border: "solid 1px green",
-                        top: infos.top  + "px"
-
-                     }
-                 }
-                 return myDebug;
-                 }else{
-                  return null ;
-                 }
-
-
-     }
-     //====================================================
-     function Debug_pos() {
-         if (DEBUG == "true") {
-         
-             jQuery("[id ^='Debug']").show();          
-                /*
-                 Debug2  background-color:yellow 
-                 Debug3 background-color:blue 
-                 Debug4 background-color:green 
-                 Debug5 background-color:red 
-
-                */
-
-             affiche_debug({                                
-                    Debug1: Debug_info(1, Bandeau_t,"Bandeau_t"),
-                    Debug3: Debug_info(3, info_licencetag, "info_licencetag"),
-                    Debug4: Debug_info(4, info_description, "info_description"),
-                    Debug5: Debug_info(5, info_img, "info_img") 
-             });
-         }
-     }
-
-   function    affiche_debug(aff_infos) {
-         jQuery(jQuery("[id ^='Debug']")).each(function (i) {
-             if (aff_infos[this.id]) {
-                 if (aff_infos[this.id].css) {
-                     jQuery("#" + this.id).css(aff_infos[this.id].css);
-                     jQuery("#" + this.id).text(aff_infos[this.id].texte);
-                 }
-             }
-         });
-         return;
-
-     }
-
-
-     jQuery(function () {
-         jQuery('#pamoorama').live('ON', function (e) {
-             jQuery(jQuery('.debug').get(1)).trigger('ON');
-             Bandeau_bas = Info_description(Parent);
-             Bandeau = Bandeau_bas.top;
-             old_window = { width: 0, height: 0 };
-             Wait_Affichage();
-         });
-         jQuery(Parent).live('ON', function (e) {
-             jQuery(jQuery('.debug').get(1)).trigger('ON');
-             Wait_Affichage();
-         });
-
-         // Custom Event, ON to turn on a debug. 
-         jQuery('.debug').live('ON', function (e) {
-
-             jQuery('.debug').trigger('OFF');
-             jQuery(this).addClass('debugOn');
-         });
-
-         // On Click = debugs On
-         jQuery('.debug').live('click', function (e) {
-
-             jQuery(this).trigger('ON');
-         });
-
-         // Custom Event, Turn off a debug
-         jQuery('.debug').live('OFF', function (e) {
-
-             jQuery(this).removeClass('debugOn');
-         });
-
-         // on Double Click, remove the debug from the DOM
-         jQuery('.debug').live('dblclick', function () {
-
-             jQuery(this).fadeOut(function () { $(this).remove() });
-         });
-
-         // Add another debug to the DOM 
-         jQuery('#adddebugs').click(function () {
-             jQuery('<div></div>')
+function Info_Description_f(Parent) {
+
+
+    jQuery(Parent).css({ display: "block" });
+    //====== détection du type d'images ======
+    if (jQuery("#charlie").length > 0) {
+        Type_Img = "charlie";
+    } else if (jQuery("#pamoorama").length) {
+        Type_Img = "pamoorama";
+    } else if (jQuery(Parent + " embed").length > 0) {
+        Type_Img = "embed";
+    } else if (jQuery("#map").length) {
+        Type_Img = "map";
+
+    } else if (jQuery("#Panorama").length) {
+        Type_Img = "panorama";
+    } else if (jQuery(Parent).find("img").length > 0) {
+        Type_Img = "img";
+    } else if (jQuery(Parent + "Box").find("img").length > 0) {
+        Type_Img = "img";
+        Parent = Parent + "Box";
+    } else if (jQuery("img").length > 0) {
+        Type_Img = "img_autre";
+        return;
+    } else {
+        return;
+    }
+    // jQuery(Parent + " p:not(:contains(' ')) ").remove();
+    // jQuery(Parent + " p:(:contains('')) ").remove(); 
+    llgboframe = jQuery("#gbo").infos();
+    marges_llgbo = 0;
+    //=========================================================
+
+    if (llgboframe.height > 0) {
+
+        ll1 = jQuery("#gbo div:first").infos();
+        ll2 = jQuery("#gbo div:last").infos(); ;
+        ll1 = ll1.width;
+        ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
+        marges_llgbo = (ll1 - ll2);
+
+    }
+
+    Bandeau_t = Info_entete(Parent)
+    Bandeau = Bandeau_t.img_top;
+
+    info_theImgContainer = jQuery("#" + "theImgContainer").infos();
+    info_description = jQuery("#" + "description").infos();
+    //=============================================================================         
+    //   jQuery(Parent + " p").css({ padding: "0px", margin: "0px "    });
+    if (theme.match(RegExp("simple", "gi"))) {
+        jQuery(Parent).css({ padding: "0px",
+            marginLeft: "0px",
+            marginRight: "auto",
+            marginTop: "0px",
+            marginBottom: "0px"
+
+        });
+    }
+
+
+    if (theme.match(RegExp("luciano", "g"))) {
+        jQuery("#imageContainer").css({ height: "auto" });
+        TheImg = jQuery(Parent + " #theImg img");
+        info_img = jQuery(TheImg).infos();
+
+
+    } else if (Type_Img == "map") {
+
+        info_map = jQuery("#mapPicture").infos();
+        marge_left = info_map.width;
+
+        jQuery("#map").css({ left: marge_left + "px", padding: "0px",
+            marginLeft: "0px",
+            marginRight: "4px",
+            marginTop: "0px",
+            marginBottom: "0px", position: "relative"
+        });
+
+        TheImg = jQuery("#map");
+        info_img = jQuery(TheImg).infos();
+
+
+    } else if (jQuery("#charlie").length > 0) {
+
+        jQuery("#charlie").css({ padding: "0px"
+
+        });
+        TheImg = jQuery("#charlie")
+        info_img = jQuery(TheImg).infos();
+
+
+
+    } else if (jQuery(Parent + " embed").length > 0) {
+
+        TheImg = jQuery(Parent + " embed");
+        info_img = jQuery(TheImg).infos();
+
+
+
+    } else if (Type_Img == "pamoorama") {
+        if (!nopano) {
+            Wait_pamoorama();
+            return
+        }
+        TheImg = jQuery("#pamoorama");
+        info_img = jQuery(TheImg).infos();
+        info_footer = jQuery("#pamoorama_footer").infos();
+        info_img.height = parseInt(img_reelle.height) + parseInt(info_footer.height);
+
+    } else {
+        TheImg = jQuery(Parent + " img");
+
+        TheImg = Get_Img_Maxi(TheImg);
+        if (!TheImg) TheImg = jQuery(Parent);   // sans img ??
+        info_img = jQuery(TheImg).infos();
+    }
+    //=====================================================================================
+
+    switch (info_img.position) {
+        case "relative":
+            break;
+        case "static":
+            break;
+        case "absolute":
+            break;
+        case "":
+            break;
+        default:
+            break;
+    }
+
+    info_description.marge = {
+        bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
+        top: info_img.padding.top + info_img.borderwidth.top + info_img.margin.top
+    }
+
+
+    if (llgboframe.height > 0) info_img = llgboframe;
+
+    if (theme.match(RegExp("luciano", "g"))) {
+
+        info_theImgContainer = jQuery("#imageContainer").infos();
+        info_description.bottom = jQuery("#imageInfo").infos().top;
+        info_description.top = info_theImgContainer.bottom;
+        Info_slidshowToolBar = jQuery("#slidshowToolBar").infos();
+
+        if (Info_slidshowToolBar.height > 0) {
+            correction = (Info_slidshowToolBar.height);
+            info_description.top = info_img.bottom;
+            info_description.bottom = jQuery("#copyright").infos().top;
+        }
+
+        //=========================================================
+    } else if (theme.match(RegExp("stripped", "gi"))) {
+
+        info_theImageAndTitle = jQuery("#theImageAndTitle").infos();
+        info_description.top = info_img.bottom;
+        info_description.bottom = info_theImageAndTitle.bottom +
+                    info_theImageAndTitle.margin.bottom +
+                    info_theImageAndTitle.margin.top +
+                    info_description.borderwidth.top +
+                    info_description.borderwidth.bottom;
+
+    } else {
+        info_description.bottom = info_theImage.bottom;
+        info_description.top = info_img.height + info_theImage.top;
+        info_description.bottom -= info_img.top;
+    }
+    if (msie == true) info_description.bottom -= 4;
+
+    info_description.height = info_description.bottom - info_description.top;
+
+    if (check_desc_v != 'checked="checked"') {
+        info_description.height = 0;
+    }
+
+    Debug_pos();
+
+
+    return info_description;
+}
+
+//====================================================
+function Debug_info(index, infos, nom) {
+    if (DEBUG != "true") return;
+    if (infos.height > 0) {
+
+        message = browser.browser + " -- > Info : " + nom + " " + infos.id + "\n" +
+                 "Info nodeName: " + infos.nodeName + "\n" +
+                 "Info width: " + infos.width + "\n" +
+                 "Info height: " + infos.height + "\n" +
+                 "Info top: " + infos.top + "\n" +
+                 "Info left: " + infos.left + "\n" +
+                 "Info position: " + infos.position + "\n";
+
+        myDebug = { id: "Debug" + index, texte: message,
+            css: {
+                color: "black",
+                opacity: "0.5",
+                position: "absolute",
+                height: infos.height || 100 + "px",
+                width: infos.width || 300 + "px",
+                left: infos.left || 0 + "px",
+                border: "solid 1px green",
+                top: infos.top + "px"
+
+            }
+        }
+        return myDebug;
+    } else {
+        return null;
+    }
+
+
+}
+//====================================================
+function Debug_pos() {
+    if (DEBUG == "true") {
+
+        jQuery("[id ^='Debug']").show();
+        /*
+        Debug2  background-color:yellow 
+        Debug3 background-color:blue 
+        Debug4 background-color:green 
+        Debug5 background-color:red 
+
+        */
+
+        affiche_debug({
+            Debug1: Debug_info(1, Bandeau_t, "Bandeau_t"),
+            Debug4: Debug_info(4, info_description, "info_description"),
+            Debug5: Debug_info(5, info_img, "info_img")
+        });
+    }
+}
+
+function affiche_debug(aff_infos) {
+    jQuery(jQuery("[id ^='Debug']")).each(function (i) {
+        if (aff_infos[this.id]) {
+            if (aff_infos[this.id].css) {
+                jQuery("#" + this.id).css(aff_infos[this.id].css);
+                jQuery("#" + this.id).text(aff_infos[this.id].texte);
+            }
+        }
+    });
+    return;
+
+}
+
+
+jQuery(function () {
+    jQuery('#pamoorama').live('ON', function (e) {
+        jQuery(jQuery('.debug').get(1)).trigger('ON');
+        Bandeau_bas = Info_Description_f(Parent);
+        Bandeau = Bandeau_bas.top;
+        old_window = { width: 0, height: 0 };
+        Wait_Affichage();
+    });
+
+    jQuery(Parent).live('ON', function (e) {
+        jQuery(jQuery('.debug').get(1)).trigger('ON');
+        Wait_Affichage();
+    });
+
+    // Custom Event, ON to turn on a debug. 
+    jQuery('.debug').live('ON', function (e) {
+
+        jQuery('.debug').trigger('OFF');
+        jQuery(this).addClass('debugOn');
+    });
+
+    // On Click = debugs On
+    jQuery('.debug').live('click', function (e) {
+
+        jQuery(this).trigger('ON');
+    });
+
+    // Custom Event, Turn off a debug
+    jQuery('.debug').live('OFF', function (e) {
+
+        jQuery(this).removeClass('debugOn');
+    });
+
+    // on Double Click, remove the debug from the DOM
+    jQuery('.debug').live('dblclick', function () {
+
+        jQuery(this).fadeOut(function () { $(this).remove() });
+    });
+
+    // Add another debug to the DOM 
+    jQuery('#adddebugs').click(function () {
+        jQuery('<div></div>')
             .addClass('debug')
             .appendTo('#debugsContainer');
-         });
-
-         // Add 10 testing debugs to start with
-         jQuery(window).load(function () {
-             if (DEBUG == "true") {
-                 for (var i = 0; i < 10; i++) {
-                     jQuery('#adddebugs').click();
-                 }
-                 jQuery(jQuery('.debug').get(8)).click();
-
-             }
-         }); //on load
-     }); 
+    });
+
+    // Add 10 testing debugs to start with
+    jQuery(window).load(function () {
+        if (DEBUG == "true") {
+            for (var i = 0; i < 10; i++) {
+                jQuery('#adddebugs').click();
+            }
+            jQuery(jQuery('.debug').get(8)).click();
+
+        }
+    }); //on load
+}); 
Index: extensions/Autosize/js/conflit.js
===================================================================
--- extensions/Autosize/js/conflit.js	(revision 8735)
+++ extensions/Autosize/js/conflit.js	(revision 8792)
@@ -547,6 +547,10 @@
     }
 
+
+        $.isFunction = function (value) { return jQuery.isFunction(value); }
+        $.inArray = function (a, b) { return jQuery.inArray(a, b); }
+        $.error  = function (a , b , c)  {jQuery.error(a , b , c);} 
+
     if (typeof ($.extend) != "function") {
-
      $.extend = function (a,b) {
          return jQuery.extend(a, b);
@@ -565,5 +569,4 @@
             return jQuery.parseJSON(msg);
         }
-
 
     }
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 8735)
+++ extensions/Autosize/main.inc.php	(revision 8792)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.4.3
+Version: 1.4.33
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: extensions/Autosize/template/autosize.tpl
===================================================================
--- extensions/Autosize/template/autosize.tpl	(revision 8735)
+++ extensions/Autosize/template/autosize.tpl	(revision 8792)
@@ -4,4 +4,5 @@
     {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
     {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
+
  <script type="text/javascript">
 
